package com.ruoyi.system.mapper.form;

import com.ruoyi.system.domain.form.MdFormCategory;
import com.ruoyi.system.domain.form.MdFormCategoryExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MdFormCategoryMapper {
    long countByExample(MdFormCategoryExample example);

    int deleteByExample(MdFormCategoryExample example);

    int deleteByPrimaryKey(String id);

    int insert(MdFormCategory record);

    int insertSelective(MdFormCategory record);

    List<MdFormCategory> selectByExample(MdFormCategoryExample example);

    MdFormCategory selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") MdFormCategory record, @Param("example") MdFormCategoryExample example);

    int updateByExample(@Param("record") MdFormCategory record, @Param("example") MdFormCategoryExample example);

    int updateByPrimaryKeySelective(MdFormCategory record);

    int updateByPrimaryKey(MdFormCategory record);
}